/*
 * @Author       : PengKang
 * @Date         : 2023-11-14 16:25
 * @LastEditors  : PengKang
 * @LastEditTime : 2024-05-07
 * @Desc         : 【这个文件必须配置为插件】
 *
一、client_core提供的功能

1、跨平台的API封装Frame，以及对应的打包发布服务

2、全局事件系统 Notifier、FrameEvent

3、日志系统Log

4、运营配置（stroage5、cdn）SystemInfo、ConfigObject

5、用户信息 UserInfo

6、cocos引擎封装&优化&自定义

7、常用API UtilsAbility

8、assets管理（下载、加载、清理）

9、音乐管理器AudioHelper

10、调试功能：小黑块、调试弹窗

11、加密encrypt

12、网络：HTTP

13、数据绑定obs

14、性能监控  MemoryObserver PerformanceObserver

15、分享功能

16、统计&打点：GALog、BILog、ExceptionHandler

17、服务器时间、计时器 modules/time

18、【UI系统】



二、新项目使用说明

1、首场景加载完成后，需要调用 Notifier.trigger(FrameEvent.SYS_START_BOOT); 触发client_core的初始化

2、CoreConfig.SYS 当前项目的默认配置（tuyoo项目参数、sns参数等），具体项目通过LoadCoreConfig复写

3、client_core 内置了一些UI资源，如果有修改的需求，需要业务自己通过LoadCoreConfig复写或者替换具体项目下的resources/client_core资源

4、对于调试弹窗，具体项目可以通过Debug模块的regDebugList注册按钮以及点击执行的方法

 */

globalThis.$this = "$this";

let platform = "and";
globalThis.$platform = platform;
globalThis.DEBUG_MODEL = globalThis.DEBUG_MODEL === undefined ? (platform === "webTest") : globalThis.DEBUG_MODEL;
globalThis.$Global = globalThis.$Global || {};

let msg = "[FrameWork] ############ run frame:" + platform;
if (platform === 'webTest') {
    console.log("%c" + (msg), "color:rgb(100, 100, 255)");
} else {
    console.info(msg);
}